> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincept.in/llms.txt
> Use this file to discover all available pages before exploring further.

# SVI Volatility Surface Calibration

> Calibrate the Stochastic Volatility Inspired (SVI) parametric model to market implied volatility data. SVI provides a smooth, arbitrage-free volatility smile that can be efficiently calibrated to market quotes. Essential for volatility surface construction, option pricing across strikes, and risk management. Returns fitted volatilities and total variances for all input strikes. [Tier: ENTERPRISE, Credits: 10]



## OpenAPI

````yaml api-specs/models.json post /quantlib/models/svi/calibrate
openapi: 3.1.0
info:
  title: FinceptQuantLib API - Models
  description: >-
    Advanced financial modeling module for short rate models, stochastic
    volatility, jump-diffusion processes, and local volatility models. Pro Tier
    required (5 credits per request).
  version: 3.0.0
  contact:
    name: Fincept API Support
    url: https://fincept.in
servers:
  - url: https://api.fincept.in
    description: Fincept API Production Server
security:
  - APIKeyHeader: []
tags:
  - name: quantlib-models
    description: >-
      Advanced financial modeling including short rate models, stochastic
      volatility, jump-diffusion, and local volatility models
    x-displayName: Models
paths:
  /quantlib/models/svi/calibrate:
    post:
      tags:
        - quantlib-models
      summary: SVI Volatility Surface Calibration
      description: >-
        Calibrate the Stochastic Volatility Inspired (SVI) parametric model to
        market implied volatility data. SVI provides a smooth, arbitrage-free
        volatility smile that can be efficiently calibrated to market quotes.
        Essential for volatility surface construction, option pricing across
        strikes, and risk management. Returns fitted volatilities and total
        variances for all input strikes. [Tier: ENTERPRISE, Credits: 10]
      operationId: svi_calibrate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - strikes
                - market_vols
                - forward
                - T
              properties:
                strikes:
                  type: array
                  items:
                    type: number
                  description: >-
                    Array of option strike prices from market data (e.g., [90,
                    95, 100, 105, 110])
                market_vols:
                  type: array
                  items:
                    type: number
                  description: >-
                    Corresponding market implied volatilities (annualized, e.g.,
                    [0.28, 0.24, 0.22, 0.23, 0.26])
                forward:
                  type: number
                  description: >-
                    Forward price of the underlying at maturity T (F = S *
                    exp((r-q)*T))
                T:
                  type: number
                  description: >-
                    Time to maturity in years (same for all strikes in this
                    slice)
              example:
                strikes:
                  - 90
                  - 95
                  - 100
                  - 105
                  - 110
                market_vols:
                  - 0.28
                  - 0.24
                  - 0.22
                  - 0.23
                  - 0.26
                forward: 100.5
                T: 0.5
      responses:
        '200':
          description: Successfully calibrated SVI model
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      fitted_vols:
                        type: array
                        items:
                          type: number
                        description: SVI fitted implied volatilities for each strike
                      total_variances:
                        type: array
                        items:
                          type: number
                        description: >-
                          Total variance (vol^2 * T) for each strike from SVI
                          model
                    example:
                      fitted_vols:
                        - 0.279
                        - 0.241
                        - 0.22
                        - 0.229
                        - 0.258
                      total_variances:
                        - 0.0389
                        - 0.029
                        - 0.0242
                        - 0.0262
                        - 0.0333
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '402':
          $ref: '#/components/responses/InsufficientCreditsError'
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  responses:
    UnauthorizedError:
      description: Authentication information is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: string
                example: Invalid API key
    InsufficientCreditsError:
      description: Insufficient credits to complete the request
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: string
                example: >-
                  Insufficient credits. This endpoint requires 5 credits.
                  Current balance: 2 credits.
    ValidationError:
      description: Request validation failed
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: array
                items:
                  type: object
                  properties:
                    loc:
                      type: array
                      items:
                        type: string
                    msg:
                      type: string
                    type:
                      type: string
          example:
            detail:
              - loc:
                  - body
                  - kappa
                msg: field required
                type: value_error.missing
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key for authentication. Get your key at
        https://api.fincept.in/auth/register

````